Class | Resolv::DNS::Query
In: | resolv.rb
Parent: | Object

### Methods

decode_rdata encode_rdata

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1367
          def self.decode_rdata(msg)
            raise DecodeError.new("#{self.class} is query.")
          end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1363
          def encode_rdata(msg)
            raise EncodeError.new("#{self.class} is query.")
          end

[Validate]